Subject: Garden Furnishings for a Good Cause

From: [email-masked] (nancy c)
Date: Sat, 25 Mar 1995 17:59:12 GMT

Earlier this week someone (in Texas) was looking for a reasonably priced
trellis/arbor for his climbing rose.  Finally got to office with catalog 
from Adirondack Designs (1-800-222-0343) I'm about to order their boot bench, but will be a
first time purchase from this group.  They make classic Adirondack style
chairs, some planters, a swing, and a handsome trellis for that climbing
rose in need of a home.  Products made by developmentally disabled people, 
overseen by nonprofit organization.  Maybe worth a try for that lonely
rose.  Just a thought - no experience (yet) to endorse...

Good luck!